sendsend.email

List domains

GET/v1/domains

All domains in the project.

Required scope: domains:manage

Example

curl -X GET 'https://api.sendsend.email/v1/domains' \
  -H "Authorization: Bearer $SENDSEND_API_KEY"

Response 200

{
  "data": [
    {
      "id": "dom_DCdfxpkhLqMhmBdY",
      "object": "domain",
      "domain": "mail.acme.com",
      "status": "pending",
      "failure_reason": null,
      "verified_at": null,
      "last_checked_at": null,
      "created_at": "2026-10-06T15:00:00.000Z",
      "records": [
        {
          "purpose": "dkim",
          "required": true,
          "type": "CNAME",
          "name": "abc123._domainkey.mail.acme.com",
          "value": "abc123.dkim.amazonses.com",
          "dns": "unchecked"
        }
      ],
      "dns_summary": {
        "required_total": 3,
        "required_found": 0,
        "checked": false
      }
    }
  ]
}

Errors

StatusCodeWhen
401unauthorizedThe API key is missing, invalid or revoked.
403forbiddenThe key does not have the scope this endpoint needs.

Every error has the same shape. See Errors.